"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ModalTipComponent = (function () {
    function ModalTipComponent() {
        this.defaultBtn = [
            {
                text: '取消',
                type: 2
            }, {
                text: '确认',
                type: 1
            }
        ];
    }
    ModalTipComponent.prototype.ngOnInit = function () {
    };
    ModalTipComponent.prototype.btnEventClick = function (btn) {
        this.handler(btn);
    };
    ModalTipComponent.decorators = [
        { type: core_1.Component, args: [{
                    template: "\n    <div>\n      {{data.msg || 'System error.'}}\n    </div>\n    <div *ngIf=\"data && data.button && data.button.length > 0\">\n      <ng-template ngFor let-btn [ngForOf]=\"data.button\">\n        <dc-button [text]=\"btn.text\" (click)=\"btnEventClick(btn)\" [type]=\"btn.type || 1\"></dc-button>\n      </ng-template>\n    </div>\n    <div *ngIf=\"!data || !data.button || data.button.length == 0\">\n      <ng-template ngFor let-btn [ngForOf]=\"defaultBtn\">\n        <dc-button [text]=\"btn.text\" (click)=\"btnEventClick(btn)\" [type]=\"btn.type || 1\"></dc-button>\n      </ng-template>\n    </div>\n  ",
                    styles: [],
                },] },
    ];
    /** @nocollapse */
    ModalTipComponent.ctorParameters = function () { return []; };
    ModalTipComponent.propDecorators = {
        "data": [{ type: core_1.Input },],
        "handler": [{ type: core_1.Input },],
    };
    return ModalTipComponent;
}());
exports.ModalTipComponent = ModalTipComponent;
//# sourceMappingURL=modal.tip.component.js.map